Bug 1072406 - ovirt-engine-dwh-setup does not handle escape characters in the 10-setup-database.conf ENGINE_DB_PASSWORD
Summary: ovirt-engine-dwh-setup does not handle escape characters in the 10-setup-data...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.3.0
Hardware: All
OS: Linux
urgent
high
Target Milestone: ---
: 3.3.2
Assignee: Yedidyah Bar David
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On: 1070339
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-04 14:16 UTC by rhev-integ
Modified: 2019-04-28 09:59 UTC (History)
11 users (show)

Fixed In Version: is35 - rhevm-dwh-3.3.2-1.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Previously, when the Red Hat Enterprise Virtualization Manager was configured using a password that contained special characters, those special characters would be escaped when stored in the 10-setup-database.conf file. However, the rhevm-dwh-setup command would not recognize such characters as being escaped and would therefore fail to run. Now, escaped characters are correctly interpreted.
Clone Of: 1070339
Environment:
Last Closed: 2014-04-09 17:42:58 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
rhevm-dwh logs (2.73 KB, application/gzip)
2014-03-21 11:11 UTC, Jiri Belka
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 736053 None None None Never
Red Hat Product Errata RHBA-2014:0386 normal SHIPPED_LIVE rhevm-dwh 3.3.2 bug fix update 2014-04-09 21:41:19 UTC
oVirt gerrit 25252 None MERGED packaging: setup: Use ovirt engine configfile 2020-09-10 16:37:45 UTC

Comment 2 Jiri Belka 2014-03-21 11:10:40 UTC
fail, rhevm-dwh-3.3.2-1.el6ev.noarch

[root@testovic ~]# rhevm-dwh-setup 
Welcome to ovirt-engine-dwh setup utility

In order to proceed the installer must stop the ovirt-engine service
Would you like to stop the ovirt-engine service (yes|no): yes
Stopping ovirt-engine...                              [ DONE ]
Remote installation is selected.

Remote installation selected. Make sure that DBA creates a user and the database in the following fashion:
        create role <role> with login encrypted password <password>;
        create database ovirt_engine_history template template0 encoding 'UTF8' lc_collate 'en_US.UTF-8' lc_ctype 'en_US.UTF-8' owner <role>;

Database user [engine_history]: remote_history
Database password: 
Password must not contain [$]
Database password: Error encountered while installing rhevm-dwh, please consult the log file: /var/log/ovirt-engine/rhevm-dwh-setup-2014_03_21_11_05_58.log

Comment 3 Jiri Belka 2014-03-21 11:11:09 UTC
Created attachment 877229 [details]
rhevm-dwh logs

Comment 4 Jiri Belka 2014-03-21 12:39:22 UTC
I did not understand correctly the problem. It is not about password for rhevm-dwh-setup but about loading engine password from file.

Comment 5 Jiri Belka 2014-03-21 12:42:14 UTC
ok, rhevm-dwh-3.3.2-1.el6ev.noarch

rhevm-dwh-setup passed while engine uses '123$576' password.

# grep ENGINE_DB_PASS /etc/ovirt-engine/engine.conf.d/10-setup-database.conf 
ENGINE_DB_PASSWORD="123\$576"

Comment 6 Zac Dover 2014-04-03 03:19:57 UTC
This bug is currently attached to errata RHBA-2014:17206 If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.

Comment 8 errata-xmlrpc 2014-04-09 17:42:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0386.html

Comment 9 Yedidyah Bar David 2015-06-15 11:26:56 UTC
Closing old needinfo's.


Note You need to log in before you can comment on or make changes to this bug.